JettyOnePortSocketListener (ActiveIO 1.0 API)
Keywords: org.activeio.oneport.JettyOnePortSocketListener class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.oneport
Class JettyOnePortSocketListener

    java.lang.Object
      org.mortbay.util.ThreadPool
          org.mortbay.util.ThreadedServer
              org.mortbay.http.SocketListener
                  org.activeio.oneport.JettyOnePortSocketListener

All Implemented Interfaces:
  org.mortbay.http.HttpListener, org.mortbay.util.LifeCycle, java.io.Serializable

public class JettyOnePortSocketListener
extends org.mortbay.http.SocketListener

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.mortbay.util.ThreadedServer
``

Nested classes inherited from class org.mortbay.util.ThreadPool
`org.mortbay.util.ThreadPool.PoolThread`

Field Summary

Fields inherited from class org.mortbay.util.ThreadPool
`__DAEMON, __PRIORITY`

Fields inherited from interface org.mortbay.http.HttpListener
`ATTRIBUTE`

Constructor Summary
`JettyOnePortSocketListener(OnePortAsynchChannelServer channelServer)`
`JettyOnePortSocketListener(OnePortAsynchChannelServer channelServer, org.mortbay.util.InetAddrPort arg0)`

Method Summary
`protected java.net.ServerSocket` | `newServerSocket(org.mortbay.util.InetAddrPort addrPort, int backlog)`

Methods inherited from class org.mortbay.http.SocketListener
`createConnection, customizeRequest, customizeRequest, getBufferReserve, getBufferSize, getConfidentialPort, getConfidentialScheme, getDefaultScheme, getHttpHandler, getHttpServer, getIdentifyListener, getIntegralPort, getIntegralScheme, getLowResourcePersistTimeMs, getLowResources, handleConnection, isConfidential, isIntegral, isLowOnResources, isOutOfResources, persistConnection, setBufferReserve, setBufferSize, setConfidentialPort, setConfidentialScheme, setDefaultScheme, setHttpHandler, setHttpServer, setIdentifyListener, setIntegralPort, setIntegralScheme, setLowResourcePersistTimeMs, setLowResources, start, stop`

Methods inherited from class org.mortbay.util.ThreadedServer
`acceptSocket, getAcceptorThreads, getAcceptQueueSize, getHost, getInetAddress, getInetAddrPort, getLingerTimeSecs, getMaxReadTimeMs, getPort, getServerSocket, getTcpNoDelay, handle, handleConnection, open, setAcceptorThreads, setAcceptQueueSize, setHost, setInetAddress, setInetAddrPort, setLingerTimeSecs, setMaxReadTimeMs, setPort, setTcpNoDelay, stopJob, toString`

Methods inherited from class org.mortbay.util.ThreadPool
`getIdleThreads, getMaxIdleTimeMs, getMaxThreads, getMinThreads, getName, getPoolName, getThreads, getThreadsPriority, isDaemon, isStarted, join, run, setDaemon, setMaxIdleTimeMs, setMaxStopTimeMs, setMaxThreads, setMinThreads, setName, setPoolName, setThreadsPriority, shrink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.http.HttpListener
`getHost, getPort, setHost, setPort`

Methods inherited from interface org.mortbay.util.LifeCycle
`isStarted`

Constructor Detail

### JettyOnePortSocketListener

    public JettyOnePortSocketListener(OnePortAsynchChannelServer channelServer)

### JettyOnePortSocketListener

    public JettyOnePortSocketListener(OnePortAsynchChannelServer channelServer,
                                      org.mortbay.util.InetAddrPort arg0)

Method Detail

### newServerSocket

    protected java.net.ServerSocket newServerSocket(org.mortbay.util.InetAddrPort addrPort,
                                                    int backlog)
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.